GENERIC_FILE_READ_IT(9)

NAME
generic_file_read_iter - generic filesystem read routine

SYNOPSIS

ssize_t generic_file_read_iter(struct kiocb * iocb, struct iov_iter * iter);

ARGUMENTS

iocb
    kernel I/O control block

iter
    destination for the data read

DESCRIPTION

This is the "read_iter" routine for all filesystems that can use the page cache directly.

COPYRIGHT